require 'spec_helper'

describe WorkCalculator do
  subject { [calculator] }

  describe "#get_elapsed_days" do
    let(:calculator) { WorkCalculator.new }

    dates = [
      {
        start: '01/01/2000',
        finish: '03/01/2000',
        expected: 1
      },
      {
        start: '02/06/1983',
        finish: '22/06/1983',
        expected: 19
      },
      {
        start: '04/07/1984',
        finish: '25/12/1984',
        expected: 173
      },
      {
        start: '03/01/1989',
        finish: '03/08/1983',
        expected: 1979
      }
    ]

    dates.each do |test|
      describe "when elapsed days worked is set from #{test[:start]} to #{test[:finish]}" do
        let(:calculator) { WorkCalculator.new(test[:start], test[:finish]) }

        it "should return #{test[:expected]}" do
          expect(calculator.get_elapsed_days).to eq(test[:expected])
        end
      end
    end
  end
end
